Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# GarbageReport Class Reference

Inheritance diagram for GarbageReport:

List of all members.

## Public Member Functions
def | __init__
def | destroy
def | finished
def | getDesc2numDict
def | getGarbage
def | getNumCycles
def | getReport
def | run
## Public Attributes
| cycleIds
| cycles
| cyclesBySyntax
| garbage
| garbageInstanceIds
| numCycles
| numGarbage
| numGarbageInstances
| referentsByNumber
| referentsByReference
| referrersByNumber
| referrersByReference
| uniqueCycleSets
## Static Public Attributes
tuple | notify = directNotify.newCategory("GarbageReport")

## Detailed Description

    Detects leaked Python objects (via gc.collect()) and reports on garbage
    items, garbage-to-garbage references, and garbage cycles.
    If you just want to dump the report to the log, use GarbageLogger.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | log = `True`,
|  |  | verbose = `False`,
|  |  | fullReport = `False`,
|  |  | findCycles = `True`,
|  |  | threaded = `False`,
|  |  | doneCallback = `None`,
|  |  | autoDestroy = `False`,
|  |  | priority = `None`,
|  |  | safeMode = `False`,
|  |  | delOnly = `False`,
|  |  | collect = `True`
| ) |  |

## Member Function Documentation

def destroy | ( |  | self | ) |

def finished | ( |  | self | ) |

def getDesc2numDict | ( |  | self | ) |

def getGarbage | ( |  | self | ) |

def getNumCycles | ( |  | self | ) |

def getReport | ( |  | self | ) |

def run | ( |  | self | ) |

## Member Data Documentation

cycleIds

cycles

cyclesBySyntax

garbage

garbageInstanceIds

tuple notify = directNotify.newCategory("GarbageReport")`[static]`

numCycles

numGarbage

numGarbageInstances

referentsByNumber

referentsByReference

referrersByNumber

referrersByReference

uniqueCycleSets

All Classes Namespaces Functions Variables Enumerations Enumerator Properties